=== debian/changelog ===
modem-manager-gui (0.0.20-6build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:20 +1100

modem-manager-gui (0.0.20-6build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:14:40 +0000

modem-manager-gui (0.0.20-6build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:45:35 +0000

modem-manager-gui (0.0.20-6) unstable; urgency=medium

  * debian/control:
    - dependency switch policykit-1 -> polkitd (Closes: #1025603)
    - S-V bump 4.6.1 -> 4.6.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 18 Aug 2023 20:04:57 +0200

modem-manager-gui (0.0.20-5) unstable; urgency=medium

  * debian/patches/: patchset updated (Closes: #1016715)
    - fix_assertion_not_set.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 06 Aug 2022 20:20:13 +0200

modem-manager-gui (0.0.20-4) unstable; urgency=medium

  * debian/control:
    - new Maintainer.
    Thanks to Graham <ginggs> for your work on m-m-g!
    - bump 4.6.0 -> 4.6.1 (no changes needed)
  * debian/patches/: patchset updated (Closes: #1004258)
    - fix_segfault_on_DNS_entries.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Jul 2022 23:13:38 +0200

modem-manager-gui (0.0.20-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ofono-dev.
    + modem-manager-gui: Drop versioned constraint on connman, modemmanager,
      network-manager, ofono and ppp in Depends.

  [ Graham Inggs ]
  * Fix build with meson 0.61 (Closes: #1005596)

 -- Graham Inggs <ginggs@debian.org>  Sun, 27 Mar 2022 19:57:47 +0000

modem-manager-gui (0.0.20-2) unstable; urgency=medium

  * Fix tray icon (Closes: #969231)

 -- Graham Inggs <ginggs@debian.org>  Thu, 03 Sep 2020 13:14:06 +0000

modem-manager-gui (0.0.20-1) unstable; urgency=medium

  * New upstream release
  * Drop patches included upstream
  * Mark modem-manager-gui-help Multi-Arch: foreign
  * Drop Breaks and Replaces on ancient versions

 -- Graham Inggs <ginggs@debian.org>  Sun, 16 Aug 2020 14:06:55 +0000

modem-manager-gui (0.0.19.1-4) unstable; urgency=medium

  * Fix help pages format errors
  * Switch to Meson build system (Closes: #960938)
  * Switch to debhelper 13
  * Do not link with -Wl,--as-needed, it is now the default

 -- Graham Inggs <ginggs@debian.org>  Sun, 26 Jul 2020 18:41:44 +0000

modem-manager-gui (0.0.19.1-3) unstable; urgency=medium

  [ Graham Inggs ]
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Switch from libappindicator to libayatana-appindicator (Closes: #956775)
  * Bump Standards-Version to 4.5.0, no changes

  [ Debian Janitor ]
  * Fix field name typos in debian/copyright.

 -- Graham Inggs <ginggs@debian.org>  Sat, 25 Apr 2020 13:20:23 +0000
