=== debian/control ===
Source: modem-manager-gui
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matteo F. Vescovi <mfv@debian.org>
Uploaders: Graham Inggs <ginggs@debian.org>
Build-Depends: debhelper-compat (= 13),
               itstool,
               libayatana-appindicator3-dev,
               libgdbm-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libgtkspell3-3-dev,
               meson,
               ofono-dev,
               po4a
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://linuxonly.ru/page/modem-manager-gui
Vcs-Browser: https://salsa.debian.org/debian/modem-manager-gui
Vcs-Git: https://salsa.debian.org/debian/modem-manager-gui.git

Package: modem-manager-gui
Architecture: linux-any
Depends: mobile-broadband-provider-info,
         modemmanager | ofono,
         network-manager | connman | ppp,
         polkitd,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: modem-manager-gui-help, yelp
Suggests: evolution-data-server,
          libindicate5 | libmessaging-menu0,
          libnotify4
Pre-Depends: ${misc:Pre-Depends}
Description: GUI front-end for ModemManager / Wader / oFono
 This program is a simple graphical interface for ModemManager, Wader and oFono
 daemon D-Bus interfaces. It can send, receive and store SMS messages,
 send USSD requests and read answers in GSM7 and UCS2 formats,
 and scan for available mobile networks.

Package: modem-manager-gui-help
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GUI front-end for ModemManager / Wader / oFono - documentation
 This package contains the documentation.
